CommetCommet
GitHubDiscordStatus
Add plan to group POSTCreate plan group POSTDelete plan group DELETEGet plan group GETList plan groups GETRemove plan from group DELETEReorder plans in group PUTUpdate plan group PATCH
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

List plan groups

List plan groups with cursor-based pagination.

GET
/plan-groups

List plan groups with cursor-based pagination.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

cursor?string
Length1 <= length
limit?integer
Range1 <= value <= 100

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/plan-groups"
{  "object": "list",  "data": [    {      "id": "group_1a2b3c4d",      "name": "API plans",      "description": "Plans for the API",      "isPublic": true,      "createdAt": "2026-09-07T12:00:00.000Z",      "updatedAt": "2026-09-07T12:00:00.000Z",      "object": "plan_group",      "livemode": false    }  ],  "hasMore": false}
{  "error": {    "type": "validation_error",    "code": "validation_error",    "message": "The request contains an invalid parameter.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/validation_error.md"  }}
{  "error": {    "type": "authentication_error",    "code": "unauthorized",    "message": "A valid API key is required.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/unauthorized.md"  }}
{  "error": {    "type": "authentication_error",    "code": "forbidden",    "message": "You do not have permission to perform this operation.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/forbidden.md"  }}
{  "error": {    "type": "rate_limit_error",    "code": "rate_limited",    "message": "Too many requests. Retry after the interval specified in the Retry-After header.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/rate_limited.md"  }}
{  "error": {    "type": "internal_error",    "code": "internal_error",    "message": "An unexpected error occurred while processing the request.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/internal_error.md"  }}

Get plan group GET

Retrieve a plan group by ID, including its plans ordered by sortOrder.

Remove plan from group DELETE

Remove a plan from a plan group.